[Python-modules-commits] [ipykernel] 02/02: Run the test suite as autopkgtests

Gordon Ball chronitis-guest at moszumanska.debian.org
Wed Dec 28 00:07:58 UTC 2016


This is an automated email from the git hooks/post-receive script.

chronitis-guest pushed a commit to branch master
in repository ipykernel.

commit 325b819a6471349dea84dad46d842daee012d7b7
Author: Gordon Ball <gordon at chronitis.net>
Date:   Tue Dec 27 23:32:53 2016 +0100

    Run the test suite as autopkgtests
---
 debian/changelog     |  1 +
 debian/tests/control |  3 +++
 debian/tests/pytest  | 16 ++++++++++++++++
 3 files changed, 20 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 91e0b70..d236d4a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,7 @@ ipykernel (4.5.2-2) UNRELEASED; urgency=medium
 
   * Team upload.
   * Disable the build-time test due to nondeterministic failures.
+  * Run the test suite as an autopkgtest
 
  -- Gordon Ball <gordon at chronitis.net>  Tue, 27 Dec 2016 23:19:40 +0100
 
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..886c0d5
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: pytest
+Depends: @, python3-pytest, python3-nose, python3-mock, python-pytest, python-nose, python-mock
+
diff --git a/debian/tests/pytest b/debian/tests/pytest
new file mode 100755
index 0000000..6468978
--- /dev/null
+++ b/debian/tests/pytest
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+export HOME=$AUTOPKGTEST_TMP
+timeout 180 py.test
+status2=$?
+timeout 180 py.test-3
+status3=$?
+if [ $status2 -eq 124 ]; then echo "python2 timed out"; status2=0; fi
+if [ $status3 -eq 124 ]; then echo "python3 timed out"; status3=0; fi
+
+if [ $status2 -eq 0 -a $status3 -eq 0 ]; then
+    exit 0
+else
+    exit 1
+fi
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/ipykernel.git



More information about the Python-modules-commits mailing list